<?php

/**

PHP 3D Postcard generator v2.0.6
Copyright (c) 2008-2010 JF Nutbroek <jfnutbroek@gmail.com>
Visit http://www.mywebmymail.com for more information

See the included End User License Agreement (EULA)
 
How to add new languages

1. Add your language to the string '$languages_to_select_from' (see line 21)
2. Add the new language to the automatic browser language detection
3. Add the translation at the bottom of this script
4. Save this file as plain UTF-8 encoded (without BOM)

*/

// Add your language to enable users to select it
$languages_to_select_from='Deutsch,English,Nederlands';

if (isset($_REQUEST['language'])) {
  $language=$_REQUEST['language'];
  $_SESSION['language']=$language;
} else if (isset($_SESSION['language'])) {
  $language=$_SESSION['language'];  
} else {
  $language=$standard_language;
  if (isset($_SERVER['HTTP_ACCEPT_LANGUAGE'])) {
    // Automatic browser language detection
    if (@substr(strtolower($_SERVER['HTTP_ACCEPT_LANGUAGE']),0,2)=='de') {$language='Deutsch';} 
    if (@substr(strtolower($_SERVER['HTTP_ACCEPT_LANGUAGE']),0,2)=='en') {$language='English';}
    if (@substr(strtolower($_SERVER['HTTP_ACCEPT_LANGUAGE']),0,2)=='nl') {$language='Nederlands';}  
    // etc
  }
}

// Language is English by default
// English
$lang_01='3D Postcard Generator';
$lang_02='Converts your photo into a 3D personalized postcard';
$lang_03='postcard,3D,convert,personalized,php,creator,card,e-postcard,ecard,generator,epostcard';
$lang_04='Send!';
$lang_05='Photo for postcard:';
$lang_06='Select a photo:';
$lang_07='Your postcard photo:';
$lang_08='Error';
$lang_09='Filesize not supported';
$lang_10='Filesize not allowed';
$lang_11='Upload interrupted';
$lang_12='Information';
$lang_13='The photo should be:';
$lang_14='- maximum 200kB in size';
$lang_15='- maximum 640x480 pixels';
$lang_16='To (name):';
$lang_17='Flash Plugin required';
$lang_18='Please wait...';
$lang_19='Write your message:';
$lang_20='Text on line 1:';
$lang_21='Text on line 2:';
$lang_22='Text on line 3:';
$lang_23='Text on line 4:';
$lang_24='Text on line 5:';
$lang_25='Text on line 6:';
$lang_26='This could be';
$lang_27='your text!';
$lang_28='Font:';
$lang_29='Fontshadow:';
$lang_30='Photopage:';
$lang_31='Textpage:';
$lang_32='Background:';
$lang_33='Card outline:';
$lang_34='Watermark for text page:';
$lang_35='No Watermark';
$lang_43='Frame :';
$lang_44='Create 3D Postcard!';
$lang_45='Click a card to send:';
$lang_46='Options:';
$lang_47='Vertical space around photo:';
$lang_48='Horizontal space around photo:';
$lang_49='Frame around photo:';
$lang_50='Shading strength (0-100):';
$lang_51='Fontsize:';
$lang_52='Fontshadow offset (0=no shadow):';
$lang_53='Fontangle:';
$lang_54='Perspective (0-100):';
$lang_55='Resize card (0=no resize):';
$lang_56='Example layouts:';
$lang_57='New photo';
$lang_58='Examples of fonttypes and watermarks:';
$lang_59='Postcard generation may fail.<br />Photo is too large!<br />Click the browsers back button if you experience a white screen or error.';
$lang_60='Please select a photo first';
$lang_61='Right-click your mouse above the card to download the card';
$lang_62='Send this card by email';
$lang_63='Filetype not supported.<br />Please select a jpg, gif or png image.';
$lang_64='Code:';
$lang_65='Enter code:';
$lang_66='From (email):';
$lang_67='To (email):';
$lang_68='Receive a copy:';
$lang_69='Subject:';
$lang_70='Postcard:';
$lang_71='Send Email:';
$lang_72='From (name):';
$lang_73='Code incorrect';
$lang_74='Please try again';
$lang_75='Resize your photo and try again';
$lang_76='Upload your own photo:';
$lang_77='Font:';
$lang_78='Mirror reflection area (0-100):';
$lang_79='Select postcard colors:';
$lang_80='Delete all cards and uploaded photos!';
$lang_81='Warning';
$lang_82='Email status:';
$lang_83='Only 1 valid email address is allowed';
$lang_84='Click one of the layouts above to copy the settings';
$lang_85='Click to download postcard';
$lang_86='Click to send postcard';
$lang_90='Exit';
$lang_91='Photo';
$lang_92='Message';
$lang_93='Colors';
$lang_94='Options';
$lang_95='Create';
$lang_96='Send';
$lang_97='Examples';
$lang_98='About';
$lang_99='CONFIGURE';
$lang_100='INFO';
$lang_101='LANGUAGES';

// Add new languages here

// Dutch
if ($language=='Nederlands') {
  $lang_01='3D Postcard Generator';
  $lang_02='Maak van een foto een 3D postkaart';
  $lang_03='postkaart,3D,php,creator,card,e-postkaart,ekaart,generator,epostkaart';
  $lang_04='Verzenden!';
  $lang_05='Foto voor postkaart:';
  $lang_06='Kies een foto:';
  $lang_07='Uw postkaart foto:';
  $lang_08='Fout';
  $lang_09='Bestandsgrootte niet ondersteund';
  $lang_10='Bestandsgrootte niet toegestaan';
  $lang_11='Upload onderbroken';
  $lang_12='Informatie';
  $lang_13='De foto mag:';
  $lang_14='- maximaal 200kB groot zijn';
  $lang_15='- maximaal 640x480 pixels zijn';
  $lang_16='Aan (naam):';
  $lang_17='Flash Plugin benodigd';
  $lang_18='Geduld aub...';
  $lang_19='Schrijf uw bericht:';
  $lang_20='Tekst voor regel 1:';
  $lang_21='Tekst voor regel 2:';
  $lang_22='Tekst voor regel 3:';
  $lang_23='Tekst voor regel 4:';
  $lang_24='Tekst voor regel 5:';
  $lang_25='Tekst voor regel 6:';
  $lang_26='Dit kan';
  $lang_27='uw tekst zijn!';
  $lang_28='Lettertype:';
  $lang_29='Letterschaduw:';
  $lang_30='Fotopagina:';
  $lang_31='Tekstpagina:';
  $lang_32='Achtergrond:';
  $lang_33='Omlijning:';
  $lang_34='Watermerk tekstpagina:';
  $lang_35='Geen watermerk';
  $lang_43='Frame :';
  $lang_44='Maak 3D Postkaart!';
  $lang_45='Klik op een kaart om te verzenden:';
  $lang_46='Opties:';
  $lang_47='Vertikale ruimte om foto:';
  $lang_48='Horizontale ruimte om foto:';
  $lang_49='Frame rond foto:';
  $lang_50='Schaduw sterkte (0-100):';
  $lang_51='Grootte lettertype:';
  $lang_52='Offset letterschaduw (0=uit):';
  $lang_53='Hoek lettertype:';
  $lang_54='Perspectief (0-100):';
  $lang_55='Grootte kaart (0=niet aanpassen):';
  $lang_56='Voorbeeld instellingen:';
  $lang_57='Nieuwe foto';
  $lang_58='Voorbeelden van lettertypen en watermerken:';
  $lang_59='Postkaart kan mislukken.<br />Foto is te groot!<br />Klik op de terug knop in uw browser bij een wit scherm of een foutmelding.';
  $lang_60='Kies een foto';
  $lang_61='Klik rechtermuisknop om de kaart te downloaden';
  $lang_62='Deze kaart per email versturen';
  $lang_63='Bestandstype niet ondersteund.<br />Selecteer een jpg,png of gif bestand.';
  $lang_64='Code:';
  $lang_65='Code overtypen:';
  $lang_66='Van (email):';
  $lang_67='Aan (email):';
  $lang_68='Ontvang kopie:';
  $lang_69='Onderwerp:';
  $lang_70='Postkaart:';
  $lang_71='Email verzenden:';
  $lang_72='Van (naam):';
  $lang_73='Code niet correct';
  $lang_74='Probeer opnieuw';
  $lang_75='Verklein uw foto en probeer opnieuw';
  $lang_76='Upload uw eigen foto:';
  $lang_77='Lettertype:';
  $lang_78='Spiegel gebied (0-100):';
  $lang_79='Kies uw kleuren voor de postkaart:';
  $lang_80='Verwijder alle kaarten en fotos!';
  $lang_81='Waarschuwing';
  $lang_82='Email status:';
  $lang_83='Maximaal 1 email adres toegestaan';
  $lang_84='Klik op een van de bovenstaande voorbeelden om de instellingen over te nemen';
  $lang_85='Klik om kaart te downloaden';
  $lang_86='Klik om kaart te verzenden';
  $lang_90='Exit';
  $lang_91='Foto';
  $lang_92='Bericht';
  $lang_93='Kleuren';
  $lang_94='Opties';
  $lang_95='Maak';
  $lang_96='Verzenden';
  $lang_97='Voorbeeld';
  $lang_98='Info';
  $lang_99='STEL SAMEN';
  $lang_100='INFO';
  $lang_101='TALEN';  
}

if ($language=='Deutsch') {
  $lang_01='3D Postkarten Generator';
  $lang_02='Wandelt Ihr Foto in ein 3D Postkarte um';
  $lang_03='Postkarte, 3D, konvertieren, personalisiert, php, Karten, E-Postkarte, Grußkarte, Generator, ePostcard';
  $lang_04='Senden';
  $lang_05='Foto für die Postkarte:';
  $lang_06='Wählen Sie ein Foto:';
  $lang_07='Dein Postkarten Foto:';
  $lang_08='Fehler';
  $lang_09='Dateigröße nicht unterstützt';
  $lang_10='Dateigröße nicht erlaubt';
  $lang_11='Upload unterbrochen';
  $lang_12='Information';
  $lang_13='Das Foto sollte:';
  $lang_14='- maximal 200kB groß und';
  $lang_15='- maximal 640x480 Pixel sein';
  $lang_16='An (Name):';
  $lang_17='Flash Plugin erforderlich';
  $lang_18='Bitte warten ...';
  $lang_19='Schreiben Sie Ihre Nachricht:';
  $lang_20='Text in Zeile 1:';
  $lang_21='Text in Zeile 2:';
  $lang_22='Text in Zeile 3:';
  $lang_23='Text in Zeile 4:';
  $lang_24='Text in Zeile 5:';
  $lang_25='Text in Zeile 6:';
  $lang_26='Dies könnte';
  $lang_27='Dein Text sein!';
  $lang_28='Schrift:';
  $lang_29='Schriftschatten:';
  $lang_30='Fotoseite:';
  $lang_31='Textseite:';
  $lang_32='Hintergrund:';
  $lang_33='Kartenrahm:';
  $lang_34='Wasserzeichen für Text-Seite:';
  $lang_35='Kein Wasserzeichen';
  $lang_43='Foto Rahm:';
  $lang_44='Erstelle der 3D-Postkarte!';
  $lang_45='Klicken Sie auf eine Karte um es wählen:';
  $lang_46='Optionen:';
  $lang_47='Verticaler Breidte um Foto:';
  $lang_48='Horizontaler Höhe um Foto:';
  $lang_49='Rahmen rund Foto:';
  $lang_50='Schatten Stärke (0-100):';
  $lang_51='Schriftgröße:';
  $lang_52='Schriftschatten Offset (0= kein Schatten):';
  $lang_53='Schriftwinkel:';
  $lang_54='Perspektive (0-100):';
  $lang_55='Karten Größe (0= nicht ändern):';
  $lang_56='Beispiel-Layouts:';
  $lang_57='Neues Foto';
  $lang_58='Beispiele Schriftarten und Wasserzeichen:';
  $lang_59='Postkarte generieren fehlschlagen. <br /> Foto ist zu groß! <br /> Klicken Sie auf die Schaltfläche "Zurück" im Browser, wenn Sie einen weißen Bildschirm oder Fehlermeldungen Erfahren.';
  $lang_60='Bitte wählen Sie zuerst ein Foto';
  $lang_61='der rechten Maustaste auf Ihre Maus über die Karte klicken zum Downloaded der Karte';
  $lang_62='Diese Postkarte versenden per E-Mail';
  $lang_63='Dateityp nicht unterstützt. <br /> Bitte wählen Sie eine JPG-, GIF-oder PNG-Foto.';
  $lang_64='Code:';
  $lang_65='Geben Sie den Code ein:';
  $lang_66='Von (email):';
  $lang_67='An (email):';
  $lang_68='Eine Kopie bekommen:';
  $lang_69='Betrifft:';
  $lang_70='Postkarte:';
  $lang_71='E-Mail senden:';
  $lang_72='von (Name):';
  $lang_73='Code falsch eingetragen';
  $lang_74='Bitte versuchen Sie es erneut';
  $lang_75='Verkleinern Sie das Foto und versuchen Sie es erneut';
  $lang_76='Lade Ihr eigenes Foto hoch:';
  $lang_77='Schrift:';
  $lang_78='Spiegelbild, Bereich (0-100):';
  $lang_79='Wähle die Farben:';
  $lang_80='Lösche alle Karten und hochgeladene Fotos!';
  $lang_81='Warnung';
  $lang_82='Email-Status:';
  $lang_83='Nur 1 gültige Email-Adresse ist erlaubt';
  $lang_84='Klicken Sie auf ein Layouts damit die Einstellungen kopiert werden';
  $lang_85='Klicken Sie um die Postkarte zu downloaden';
  $lang_86='Klicken Sie auf die Postkarte zum versenden';
  $lang_90='Exit';
  $lang_91='Foto';
  $lang_92='Nachricht';
  $lang_93='Farben';
  $lang_94='Optionen';
  $lang_95='Erstellen';
  $lang_96='Senden';
  $lang_97='Beispiele';
  $lang_98='About';
  $lang_99='EINSTELLEN';
  $lang_100='INFO';
  $lang_101='SPRACHEN'; 
}

// etc

?>
